gir1.2-webkit2-4.0_2.10.9-1ubuntu1_i386.deb


Advertisement

Description

gir1.2-webkit2-4.0 - Web content engine library for GTK+ - GObject introspection data

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main i386
Package filename gir1.2-webkit2-4.0_2.10.9-1ubuntu1_i386.deb
Package name gir1.2-webkit2-4.0
Package version 2.10.9
Package release 1ubuntu1
Package architecture i386
Package type deb
Category introspection
Homepage http://webkitgtk.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 61.75 KB
Installed size 372.00 KB
WebKit is a web content engine, derived from KHTML and KJS from KDE, and
used primarily in Apple's Safari browser.  It is made to be embedded in
other applications, such as mail readers, or web browsers.
It is able to display content such as HTML, SVG, XML, and others. It also
supports DOM, XMLHttpRequest, XSLT, CSS, JavaScript/ECMAScript and more.
WebKit2 is an API layer for WebKit designed from the ground up to
support a split process model, where the web content lives in a
separate process from the application UI.
This build comes from the GTK+ port of WebKit (API version 4.0).
This package contains introspection data, which can be used by
packages using the GIRepository format to generate dynamic bindings.

Alternatives

Package Version Architecture Repository
gir1.2-webkit2-4.0_2.20.5-0ubuntu0.16.04.1_i386.deb 2.20.5 i386 Ubuntu Updates Main
gir1.2-webkit2-4.0_2.20.5-0ubuntu0.16.04.1_amd64.deb 2.20.5 amd64 Ubuntu Updates Main
gir1.2-webkit2-4.0_2.10.9-1ubuntu1_amd64.deb 2.10.9 amd64 Ubuntu Main
gir1.2-webkit2-4.0 - - -

Requires

Name Value
gir1.2-glib-2.0 -
gir1.2-gtk-3.0 -
gir1.2-javascriptcoregtk-4.0 = 2.10.9-1ubuntu1
gir1.2-soup-2.4 -
libgirepository-1.0-1 >= 1.41.4-1
libwebkit2gtk-4.0-37 >= 2.10.0

Download

Type URL
Mirror archive.ubuntu.com
Binary Package gir1.2-webkit2-4.0_2.10.9-1ubuntu1_i386.deb
Source Package webkit2gtk

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install gir1.2-webkit2-4.0 deb package:
    # sudo apt-get install gir1.2-webkit2-4.0

Files

Path
/usr/lib/i386-linux-gnu/girepository-1.0/WebKit2-4.0.typelib
/usr/lib/i386-linux-gnu/girepository-1.0/WebKit2WebExtension-4.0.typelib
/usr/share/doc/gir1.2-webkit2-4.0/NEWS.Debian.gz
/usr/share/doc/gir1.2-webkit2-4.0/changelog.Debian.gz
/usr/share/doc/gir1.2-webkit2-4.0/copyright

Changelog

2016-03-23 - Iain Lane <iain.lane@canonical.com>
webkit2gtk (2.10.9-1ubuntu1) xenial; urgency=medium
* Merge with Debian unstable. Remaining changes:
+ Build with GeoClue 1, which is what we still use in Ubuntu.
2016-03-18 - Alberto Garcia <berto@igalia.com>
webkit2gtk (2.10.9-1) unstable; urgency=medium
* New upstream release.
2016-03-15 - Iain Lane <iain@orangesquash.org.uk>
webkit2gtk (2.10.8-1ubuntu1) xenial; urgency=low
* Build with GeoClue 1, which is what we still use in Ubuntu.
2016-03-12 - Alberto Garcia <berto@igalia.com>
webkit2gtk (2.10.8-1) unstable; urgency=high
* New upstream release. This fixes CVE-2016-1726 (Closes: #802380).
* Allow building the package with debhelper < 9.20151219. This won't
produce any debug packages (since they are automatically generated
now), but it can be useful for backports.
+ debian/control:
- Revert build dependency on debhelper back to >= 9.
+ debian/rules:
- Don't make dh_strip fail if it doesn't support --ddeb-migration.
* debian/rules:
+ The list of architectures in which the debug packages are causing
problems continues to grow, so let's try the opposite approach: we
build by default using -g1 except in the cases where we know that
-g works fine (amd64, ppc64, ppc64el).
+ Enable all hardening flags.
* debian/patches/fix-ftbfs-m68k.patch:
+ Enclose the changes to the compile assertions inside an #ifdef block
so they only apply to m68k.
* debian/patches/fix-ftbfs-alpha.patch:
+ Fix FTBFS in alpha (Closes: #815124).
* debian/patches/fix-ftbfs-sparc64.patch:
+ Add patch metadata.
* debian/source/lintian-overrides:
+ Update overrides so the latest lintian doesn't give more
source-is-missing false positives.
* debian/control:
+ Bump Standards-Version to 3.9.7; no changes needed.
+ Use secure URIs for the Vcs-* fields.
2016-02-12 - Iain Lane <iain@orangesquash.org.uk>
webkit2gtk (2.10.6-1ubuntu1) xenial; urgency=medium
* Build with GeoClue 1, which is what we still use in Ubuntu.
2016-01-27 - Alberto Garcia <berto@igalia.com>
webkit2gtk (2.10.6-1) unstable; urgency=medium
* New upstream release.
2016-01-21 - Alberto Garcia <berto@igalia.com>
webkit2gtk (2.10.5-1) unstable; urgency=high
* New upstream release. Fixes CVE-2015-7096 and CVE-2015-7098.
This release doesn't contain any non-DFSG files in the original
tarball, so we can ship it as-is and remove the +dfsg suffix from the
Debian version.
+ debian/watch:
- Remove the 'dversionmangle' option.
+ debian/rules:
- Remove the get-orig-source target.
- Don't generate (and clean) jquery.min.js.
+ debian/control:
- Remove build dependency on slimit.
+ debian/jquery-1.9.1.js:
- Remove.
* debian/patches/fix-ftbfs-sparc64.patch:
+ Fix FTBFS on sparc64 (Closes: #806816).
* debian/rules:
+ Don't pass -DENABLE_YARR_JIT=0, passing -DENABLE_JIT=OFF already
takes care of that.
+ Remove EXTRA_DH_ARGUMENTS, this is no longer being used.
* debian/watch:
+ Only scan releases from the stable branches.
* Migrate to automatic -dbgsym packages:
+ debian/control:
- Remove the entries for libjavascriptcoregtk-4.0-18-dbg and
libwebkit2gtk-4.0-37-dbg.
- Require debhelper >= 9.20151219.
+ debian/rules:
- Replace --dbg-package with --ddeb-migration in dh_strip.
* debian/copyright:
+ Update copyright years.
+ Remove mentions to jquery (which is no longer included) and
FontWithNoValidEncoding.fon, which is a regular font in the FON file
format.

See Also

Package Description
gir1.2-wnck-3.0_3.14.1-2_i386.deb GObject introspection data for the WNCK library
gir1.2-xkl-1.0_5.4-0ubuntu2_i386.deb X Keyboard Extension high-level API - introspection data
gir1.2-zeitgeist-2.0_0.9.16-0ubuntu4_i386.deb library to access Zeitgeist - GObject introspection data
git-bzr_0.2+20140705-2_all.deb transitional dummy package
git-core_2.7.4-0ubuntu1_all.deb fast, scalable, distributed revision control system (obsolete)
git-doc_2.7.4-0ubuntu1_all.deb fast, scalable, distributed revision control system (documentation)
git-man_2.7.4-0ubuntu1_all.deb fast, scalable, distributed revision control system (manual pages)
git-remote-bzr_0.2+20140705-2_all.deb bidirectional bridge between Git and Bazaar
git_2.7.4-0ubuntu1_i386.deb fast, scalable, distributed revision control system
gitk_2.7.4-0ubuntu1_all.deb fast, scalable, distributed revision control system (revision tree visualizer)
gkbd-capplet_3.6.0-1ubuntu2_i386.deb GNOME control center tools for libgnomekbd
glance-api_12.0.0-0ubuntu2_all.deb OpenStack Image Registry and Delivery Service - API
glance-common_12.0.0-0ubuntu2_all.deb OpenStack Image Registry and Delivery Service - Common
glance-registry_12.0.0-0ubuntu2_all.deb OpenStack Image Registry and Delivery Service - Registry
glance_12.0.0-0ubuntu2_all.deb OpenStack Image Registry and Delivery Service - Daemons
Advertisement
Advertisement